*** empty log message ***
authorJim Meyering <jim@meyering.net>
Tue, 9 Jan 2001 15:50:13 +0000 (15:50 +0000)
committerJim Meyering <jim@meyering.net>
Tue, 9 Jan 2001 15:50:13 +0000 (15:50 +0000)
tests/cp/dir-vs-file [new file with mode: 0755]

diff --git a/tests/cp/dir-vs-file b/tests/cp/dir-vs-file
new file mode 100755 (executable)
index 0000000..c56ea7b
--- /dev/null
@@ -0,0 +1,38 @@
+#!/bin/sh
+# A directory may not replace an existing file.
+
+if test "$VERBOSE" = yes; then
+  set -x
+  cp --version
+fi
+
+. $srcdir/../envvar-check
+. $srcdir/../lang-default
+
+pwd=`pwd`
+tmp=dirvfile.$$
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+mkdir a a/b a/c || framework_failure=1
+touch a/1 a/2 a/3 a/b/b a/b/c || framework_failure=1
+
+if test $framework_failure = 1; then
+  echo 'failure in testing framework' 1>&2
+  (exit 1); exit
+fi
+
+fail=0
+
+cp -al a/* a/b && fail=1
+
+# the files a/b/b and a/b/c must remain files
+# In 4.0.35, they were overwritten with directories.
+test -f a/b/b || fail=1
+test -f a/b/c || fail=1
+
+(exit $fail); exit